Subject: Re: [PATCH] tools/testing/selftests/net/bpf/Makefile: fix fatal error: 'bpf/bpf_helpers.h' file not found

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 Jul 2022 09:44:47 -0700

On Thu, 14 Jul 2022 14:50:03 +0800 Jie2x Zhou wrote:
> In tools/testing/selftests run:
> make -C bpf
> make -C net
> fatal error: 'bpf/bpf_helpers.h' file not found
> 
> Add bpf/bpf_helpers.h include path in net/bpf/Makefile.
> 
> Reported-by: kernel test robot <[email-masked]>
> Signed-off-by: Jie2x Zhou <[email-masked]>
> ---
>  tools/testing/selftests/net/bpf/Makefile | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/tools/testing/selftests/net/bpf/Makefile b/tools/testing/selftests/net/bpf/Makefile
> index 8ccaf8732eb2..07d56d446358 100644
> --- a/tools/testing/selftests/net/bpf/Makefile
> +++ b/tools/testing/selftests/net/bpf/Makefile
> @@ -1,6 +1,7 @@
>  # SPDX-License-Identifier: GPL-2.0
>  
>  CLANG ?= clang
> +CCINCLUDE += -I../bpf/tools/include
>  CCINCLUDE += -I../../bpf
>  CCINCLUDE += -I../../../../lib
>  CCINCLUDE += -I../../../../../usr/include/

Can we switch to relative paths here, somehow?
We keep adding those include paths, see 7b92aa9e6135 ("selftests net:
fix kselftest net fatal error") for example.